[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DragKind

DragKind - what sort of dragging? Drag or Dock

## Declaration

Source position: controls.pp line 1216

`protected property TControl.DragKind: TDragKind read FDragKind write FDragKind default dkDrag;`

## Description

Set to dkDrag to allow for drag-drop, or to dkDock to allow for drag-dock.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.